GET V1/Bills.{ext}/ServiceUtilities?billId={billId}&pageIndex={pageIndex}&pageSize={pageSize}

This section provides the complete information of Meter #s along with the Reading Types, Rate Codes etch.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
billId

Bill Id.

integer

Required

pageIndex

Page Index

integer

Default value is 0

pageSize

Page Size

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

Returns Virtual Bill Service Utility Details.

EMSResponseOfEMS.Bills.Entities.ServiceUtilities
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Bills.Entities.ServiceUtilities

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "ServiceUtilities",
  "response": {
    "serviceUtilityList": [
      {
        "meterNumber": "sample string 1",
        "location": "sample string 2",
        "utilityType": "sample string 3",
        "vendorServiceType": "sample string 4",
        "uom": "sample string 5",
        "readingType": "sample string 6",
        "rateCode": "sample string 7",
        "startDate": "sample string 8",
        "endDate": "sample string 9",
        "startReading": 10.1,
        "endReading": 11.1,
        "rawUsage": 12.1,
        "meterMultiplier": 13.1,
        "powerFactor": 14.1,
        "acUsage": 15.1,
        "imageUsage": 16.1,
        "avgTemp": "sample string 17"
      },
      {
        "meterNumber": "sample string 1",
        "location": "sample string 2",
        "utilityType": "sample string 3",
        "vendorServiceType": "sample string 4",
        "uom": "sample string 5",
        "readingType": "sample string 6",
        "rateCode": "sample string 7",
        "startDate": "sample string 8",
        "endDate": "sample string 9",
        "startReading": 10.1,
        "endReading": 11.1,
        "rawUsage": 12.1,
        "meterMultiplier": 13.1,
        "powerFactor": 14.1,
        "acUsage": 15.1,
        "imageUsage": 16.1,
        "avgTemp": "sample string 17"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.